org.springframework.test.web.servlet

## Interface RequestBuilder

All Known Implementing Classes:
  MockHttpServletRequestBuilder, MockMultipartHttpServletRequestBuilder

    public interface RequestBuilder

Builds a `MockHttpServletRequest`.

See static, factory methods in `org.springframework.test.web.server.request.MockMvcRequestBuilders`.

Since:
  3.2
Author:
  Arjen Poutsma, Rossen Stoyanchev

### Method Summary

Methods
`MockHttpServletRequest` `buildRequest(ServletContext servletContext)` Build the request.

### Method Detail

#### buildRequest

    MockHttpServletRequest buildRequest(ServletContext servletContext)

Build the request.

Parameters:
  `servletContext` - the `ServletContext` to use to create the request
Returns:
  the request